dotProject Forums

Go Back   dotProject Forums > DOTMODS - ADD ON MODULES > dotmods - Add On Modules - General Questions
Register FAQTop Posters Members List Calendar Search Today's Posts Resend Activation Email Mark Forums Read
Bugs & Feature Requests Download dotProject

dotmods - Add On Modules - General Questions Use this forum to ask questions or seek answers about any of the dotmods / add on dotProject modules. These modules are normally supported by the authors of the modules and/or other users - NOT by the core dotProject development team.

Reply
 
Thread Tools Display Modes
  #21  
Old 05-03-09, 10:01 PM
j81godoy j81godoy is offline
Junior Member
Return Visitor
dotProject Version:
php Version:
MySQL Version:
Operating System Version:
Browser:
 
Join Date: 21-02-09
Posts: 3
Default Re: 2.0 Compatible Add on Modules - devs please read

I need to integrate mantis with dotProject, but I can't find any place to download the module. Do you people know? I would be glad if you can give me the documentation too.


Thank you.

Reply With Quote
  #22  
Old 26-03-09, 05:58 AM
khavayero khavayero is offline
Junior Member
New Participant
dotProject Version:
php Version:
MySQL Version:
Operating System Version:
Browser:
 
Join Date: 26-03-09
Posts: 1
Default Re: 2.0 Compatible Add on Modules - devs please read

Hello!

My name is Chema, I'm Spanish and my english isn't very good, I'm sorry.

Today, I have installed the module "helpdesk". I have a "fatal error" when I select the option "My Open".

The problem is that the var $dPconfig['root_dir'] is empty. The code line is:

require_once($dPconfig['root_dir'] . "/modules/helpdesk/helpdesk.functions.php");

and

require_once($dPconfig['root_dir'] . "/modules/helpdesk/vw_idx_handler.php");

Why it is empty? What's the problem? Is my Server? (Apache)

I changed it by:
require_once("./modules/helpdesk/vw_idx_handler.php");
require_once("./modules/helpdesk/helpdesk.functions.php");

and I have resolved the problem.

Regards!

Reply With Quote
  #23  
Old 28-03-09, 01:11 AM
j81godoy j81godoy is offline
Junior Member
Return Visitor
dotProject Version:
php Version:
MySQL Version:
Operating System Version:
Browser:
 
Join Date: 21-02-09
Posts: 3
Default Re: 2.0 Compatible Add on Modules - devs please read

I want develop a new module for dotProject, is thera any documentation to help me with this job?


Thanks.

Reply With Quote
  #24  
Old 28-03-09, 08:06 PM
pavanesh_soni's Avatar
pavanesh_soni pavanesh_soni is offline
Valued Users
Return Visitor
dotProject Version:
php Version:
MySQL Version:
Operating System Version:
Browser:
 
Join Date: 19-11-08
Posts: 10
Default Re: 2.0 Compatible Add on Modules - devs please read

You can get details on "how to create module"? in dot project document website.Please let me know for what purpose u are going to create, presently i am also planning to work on a module related to live chat.

Reply With Quote
  #25  
Old 17-04-09, 07:55 PM
ajdonnison's Avatar
ajdonnison ajdonnison is offline
Administrator
Utter Fanatic
dotProject Version:
php Version:
MySQL Version:
Operating System Version:
Browser:
 
Join Date: 13-04-04
Posts: 2,251
Default Re: 2.0 Compatible Add on Modules - devs please read

Basically the code is the documentation. Look at one of the simpler modules, like forums or contacts. The structure is pretty simple.
Reply With Quote
  #26  
Old 31-05-09, 11:08 AM
chiklopes's Avatar
chiklopes chiklopes is offline
Junior Member
New Participant
dotProject Version:
php Version:
MySQL Version:
Operating System Version:
Browser:
 
Join Date: 29-05-09
Posts: 1
Default Compatible Add on Modules Dot2.1.2- Invoice and Finance

hello people,
I am new here in this forum. I had just installed the DotProject 2.1.2 and it is working lovely. it is the best program . very much obliged by this program. but I thought some problems when I installed the modules Invoices 0.4 and Finances 0.1. I did not get what was working these modules as it must be . I do not manage to insert bills and not even receipts. can anybody help me? will it be that these modules are not compatible with the above-mentioned version? where that I can find a list of compatible modules with this version 2.1.2
thanks a lot

Reply With Quote
  #27  
Old 29-04-10, 12:26 AM
BJ4450 BJ4450 is offline
Valued Users
Frequent Visitor
dotProject Version: 2.1.3
php Version: 5.1
MySQL Version: 5.0
Operating System Version: Linux
Browser: Firefox
 
Join Date: 17-03-10
Posts: 28
Default Re: 2.0 Compatible Add on Modules - devs please read

what function does the dotproject modules like admin module use to write to mysql database. In what code in the php file does it echo and write to the database? Where is the code or script that writes to the mysql database in the modules?

Can anyone direct me?

Reply With Quote
  #28  
Old 06-06-10, 03:39 AM
rodrigobrandao rodrigobrandao is offline
Junior Member
New Participant
dotProject Version: 2.1.3
php Version: 5.3
MySQL Version: 5.0
Operating System Version: Other
Browser: Other
 
Join Date: 06-06-10
Posts: 2
Exclamation Re: 2.0 Compatible Add on Modules - devs please read

I developed a new layout for the dotProject, but do not know where can I post them.

Screenshot:




Some one can send me a instruction to what do?

Reply With Quote
  #29  
Old 12-06-10, 07:11 PM
manuelfarelo manuelfarelo is offline
Junior Member
Return Visitor
dotProject Version: 2.1.3
php Version: 5.2
MySQL Version: 5.1
Operating System Version: Windows
Browser: Firefox
 
Join Date: 12-06-10
Posts: 4
Default Re: 2.0 Compatible Add on Modules - devs please read

Hi Rodrigobrandao.... your theme is very nice!!!, good job!!. Could you send me your theme? I'm very interesting on it.

Otherwise, I'm thinking to do a module for calculate percent completion of task and projects through hours worked, not for days.... Do anybody know if somebody did something like that?

Thanks in advance.

Reply With Quote
  #30  
Old 17-07-10, 10:59 PM
monero monero is offline
Junior Member
New Participant
dotProject Version: 2.1.2
php Version: 4.x
MySQL Version: 5.4
Operating System Version: Unix
Browser: Firefox
 
Join Date: 17-07-10
Posts: 1
Default Re: 2.0 Compatible Add on Modules - devs please read

I'm a newbi looking for module or plug in for wordpress
any one info for me?

Reply With Quote
Reply


Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT +10. The time now is 04:04 AM.


Powered by vBulletin® Version 3.6.4
Copyright ©2000 - 2017, Jelsoft Enterprises Ltd.